Bewertet mit 5 von 5 Sternen

Version 2.8 doesn't work with Firefox 3.6.28 (version 2.6.4 does work).

Diese Bewertung wurde für eine vorherige Version des Add-ons (2.8.1-signed) abgegeben.